Open SCAP Library

Enumerations | Functions
oval_glob_to_regex.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include "oval_glob_to_regex.h"`
`#include "common/oscap_string.h"`
`#include "common/debug_priv.h"`

## Enumerations
enum | states { START, NORMAL, LEFT_BRACKET, CLASS, ESCAPE, SLASH }

## Functions
char * | oval_glob_to_regex (const char *glob, int noescape)
| Converts unix shell glob to Perl 5 regular expression. More...

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/

## Function Documentation

## ◆ oval_glob_to_regex()

char* oval_glob_to_regex | ( | const char * | glob,
|  | int | noescape
| ) |  |

Converts unix shell glob to Perl 5 regular expression.

Parameters

  glob | input glob
  noescape | Tells if backslash is treated as an escape character.

Returns
  regular expression